const https = require('https');

function startNode(token, methods=null) {
  if(token){
    console.log('Client started: waiting for node..')
    setTimeout(function() {
      const options = {
        hostname: 'goobl2.ericplayzyt.repl.co',
        port: 8080,
        path: '/api/ping',
        method: 'POST'
      };
      const req = https.request(options, (res) => {
        console.log('statusCode:', res.statusCode);
        console.log('headers:', res.headers);

        res.on('data', (d) => {
          console.log(d)
        });
      });
      console.log('Error contacting the server. Please try again later.')
    }, 5000)
  } else {
    throw new TypeError('[GBLNODE] Token was not supplied on run.')
  }
}
module.exports = startNode